package com.menagerie.ophelia.database.polycule

import android.app.Application
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.SupervisorJob

class PolyculeApplication : Application() {

    private val applicationScope = CoroutineScope(SupervisorJob())

    val database by lazy { PolyculeDatabase.getDatabase(this, applicationScope) }
    val repository by lazy { PolyculeRepository(database.bioDao()) }
}