package com.menagerie.ophelia.database.polycule.entity

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.Query
import androidx.room.Update
import androidx.room.Upsert
import kotlinx.coroutines.flow.Flow

@Dao
abstract class BioDao {

    @Insert
    abstract suspend fun insert(newBio: Bio): Long

    @Delete
    abstract suspend fun delete(bio: Bio)

    @Update
    abstract suspend fun update(existingBio: Bio)

    @Query("SELECT * FROM bio_table ORDER BY name ASC")
    abstract fun getAllAlphabetisedBios(): Flow<List<Bio>>

    @Query("SELECT * FROM bio_table")
    abstract fun getAllBios(): Flow<List<Bio>>

    @Query("SELECT * FROM bio_table WHERE id = :bioId")
    abstract fun getBio(bioId: Long): Flow<Bio>

    @Upsert
    abstract suspend fun upsert(bio: Bio): Long
}