package com.menagerie.ophelia.view

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.unit.dp
import com.menagerie.ophelia.R

@Composable
fun HomeScreen(
    onClick: () -> Unit,

) {
    val text = if(true) R.string.welcome else R.string.welcome_back
    HeaderText(text, onClick)
}

@Composable
fun HeaderText(
    text: Int,
    onClick: () -> Unit
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
    ) {
        Column(
            modifier = Modifier
                .fillMaxWidth()
                .padding(top = 10.dp)
                .align(Alignment.Center),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center,
        ) {
            Spacer(modifier = Modifier.weight(1f))
            Text(
                text = stringResource(id = R.string.app_name),
                style = MaterialTheme.typography.displayLarge
            )
            Text(
                text = stringResource(id = R.string.app_tag)
            )
            Spacer(modifier = Modifier.weight(1f))
            Button(
                modifier = Modifier.padding(12.dp),
                onClick = onClick
            ) {
                Text(text = stringResource(id = text))
            }
        }
    }
}