package com.menagerie.ophelia.view

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp

@SuppressLint("UnusedMaterial3ScaffoldPaddingParameter")
@Composable
fun NewUserStartScreen(
    onGo: () -> Unit = {},
) {

    Scaffold {
        Column {
            OpheliaFace(
                modifier = Modifier
                    .align(Alignment.CenterHorizontally)
                    .padding(top = 12.dp)
            )
            OpheliaWelcome(modifier = Modifier.weight(1f))
            Button(
                onClick = onGo,
                modifier = Modifier
                    .padding(12.dp)
                    .align(Alignment.End)
            ) {
                Text(text = "Go")
            }
        }
    }
}

@Preview
@Composable
fun NewUserPreview(){
    NewUserStartScreen()
}