package com.menagerie.ophelia.view.newUser

import android.annotation.SuppressLint
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.LinearProgressIndicator
import androidx.compose.material3.Scaffold
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.menagerie.ophelia.view.OpheliaFace
import com.menagerie.ophelia.view.OpheliaNewUserFinalCheck
import com.menagerie.ophelia.view.biographies.FinishBiography

@SuppressLint("UnusedMaterial3ScaffoldPaddingParameter")
@Composable
fun ConfirmBio(
    onGo: () -> Unit
) {
    Scaffold {
        Column {
            OpheliaFace(
                modifier = Modifier
                    .align(Alignment.CenterHorizontally)
                    .padding(top = 12.dp)
            )
            LinearProgressIndicator(
                progress = 1f,
                modifier = Modifier.fillMaxWidth()
            )
            OpheliaNewUserFinalCheck(modifier = Modifier)
            FinishBiography(
                bioId = 1,
                onGo = onGo,
                )
        }
    }
}